#!/bin/sh
#
# $FreeBSD: ports/www/cherokee/files/cherokee.sh.in,v 1.2 2006/07/19 18:55:37 rafan Exp $
#
# PROVIDE: cherokee
# REQUIRE: %%REQUIRE%%
# KEYWORD: shutdown
#
# Add the following lines to /etc/rc.conf to enable cherokee:
#
# cherokee_enable (bool):	Set it to "YES" to enable cherokee
#				Default is "NO".
# cherokee_conf (path):		Set full path to config file.
#				Default is "/usr/local/etc/cherokee/cherokee.conf".
#

. /etc/rc.subr

name="cherokee"
rcvar=`set_rcvar`

load_rc_config $name

: ${cherokee_enable="NO"}
: ${cherokee_conf="/usr/local/etc/cherokee/cherokee.conf"}

command=/usr/local/sbin/cherokee
command_args="-C ${cherokee_conf} -b"
pidfile=/var/run/cherokee.pid
required_files=${cherokee_conf}
stop_postcmd=stop_postcmd
restart_precmd="checkconfig"

checkconfig()
{
	echo "Performing sanity check on ${name} configuration:"
	eval "${command} ${command_args} -t"
}

stop_postcmd()
{
	rm -f ${pidfile}
}

run_rc_command "$1"
